| OrbbecSDK 1.10.18 OrbbecSDK: Software-Development-Kit for Orbbec 3D Cameras

Loading...
Searching...
No Matches
Public Attributes | List of all members
OBDeviceTemperature Struct Reference

Temperature parameters of the device (unit: Celsius) More...

`#include <ObTypes.h>`

## Public Attributes
float | cpuTemp
| CPU temperature.
float | irTemp
| IR temperature.
float | ldmTemp
| Laser temperature.
float | mainBoardTemp
| Motherboard temperature.
float | tecTemp
| TEC temperature.
float | imuTemp
| IMU temperature.
float | rgbTemp
| RGB temperature.
float | irLeftTemp
| Left IR temperature.
float | irRightTemp
| Right IR temperature.
float | chipTopTemp
| MX6600 top temperature.
float | chipBottomTemp
| MX6600 bottom temperature.

## Detailed Description

Temperature parameters of the device (unit: Celsius)

Definition at line 649 of file ObTypes.h.

## Member Data Documentation

## ◆ cpuTemp

float OBDeviceTemperature::cpuTemp

CPU temperature.

Definition at line 650 of file ObTypes.h.

## ◆ irTemp

float OBDeviceTemperature::irTemp

IR temperature.

Definition at line 651 of file ObTypes.h.

## ◆ ldmTemp

float OBDeviceTemperature::ldmTemp

Laser temperature.

Definition at line 652 of file ObTypes.h.

## ◆ mainBoardTemp

float OBDeviceTemperature::mainBoardTemp

Motherboard temperature.

Definition at line 653 of file ObTypes.h.

## ◆ tecTemp

float OBDeviceTemperature::tecTemp

TEC temperature.

Definition at line 654 of file ObTypes.h.

## ◆ imuTemp

float OBDeviceTemperature::imuTemp

IMU temperature.

Definition at line 655 of file ObTypes.h.

## ◆ rgbTemp

float OBDeviceTemperature::rgbTemp

RGB temperature.

Definition at line 656 of file ObTypes.h.

## ◆ irLeftTemp

float OBDeviceTemperature::irLeftTemp

Left IR temperature.

Definition at line 657 of file ObTypes.h.

## ◆ irRightTemp

float OBDeviceTemperature::irRightTemp

Right IR temperature.

Definition at line 658 of file ObTypes.h.

## ◆ chipTopTemp

float OBDeviceTemperature::chipTopTemp

MX6600 top temperature.

Definition at line 659 of file ObTypes.h.

## ◆ chipBottomTemp

float OBDeviceTemperature::chipBottomTemp

MX6600 bottom temperature.

Definition at line 660 of file ObTypes.h.

The documentation for this struct was generated from the following file:

- E:/Projects/Jenkins/workspace/OrbbecSDK/libobsensor/include/libobsensor/h/ObTypes.h